cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From raghu iyengar <raghucoc...@yahoo.com>
Subject Re: AW: internal server error
Date Thu, 27 Sep 2001 13:13:08 GMT
hi john !
thanx for your reply.

this problem started only when i tried to use JDK1.4
...by setting java_home=C:\jdk1.4 and adding
C:\jdk1.4\bin into the path.

but after i got teh error i again reverted back to
jdk1.3 . 

but alas , i cud no longer get the cocoon working.
is there any other entry which is to be changed.

shud i try un-installing jdk1.4 ?

please help.

raghu

--- Jörn Heid <heid@fh-heilbronn.de> wrote:
> Do you use another xml parser?
> E.g. JDK 1.4 or a parser in lib/ext?
> 
> -----Ursprüngliche Nachricht-----
> Von: raghu iyengar [mailto:raghucocoon@yahoo.com]
> Gesendet: Donnerstag, 27. September 2001 14:52
> An: cocoon-users@xml.apache.org
> Betreff: internal server error
> 
> 
> 
> hi all !
>  i am using cocoon2.0b2 .
>  it was working perfectly well till yesterday.
>  now today  , i have not been able to run cocoon as
> it
> gives the
> following
> error when i click the url
> http://localhost:8080/cocoon
> 
> 
> exception
> 
>
org.apache.avalon.framework.configuration.ConfigurationException:
> Error
> trying to load configurations
> 
> request-uri
> 
> /cocoon
> 
> stacktrace
> 
>
org.apache.avalon.framework.configuration.ConfigurationException:
> Error
> trying to load configurations
>  at
> org.apache.cocoon.Cocoon.configure(Cocoon.java:220)
>  at
> org.apache.cocoon.Cocoon.initialize(Cocoon.java:160)
>  at
>
org.apache.cocoon.servlet.CocoonServlet.createCocoon(CocoonServlet.java:634)
>  at
>
org.apache.cocoon.servlet.CocoonServlet.init(CocoonServlet.java:164)
>  at
>
org.apache.tomcat.core.ServletWrapper.doInit(ServletWrapper.java:317)
>  at
>
org.apache.tomcat.core.Handler.init(Handler.java:215)
>  at
>
org.apache.tomcat.core.ServletWrapper.init(ServletWrapper.java:296)
>  at
>
org.apache.tomcat.context.LoadOnStartupInterceptor.contextInit(LoadOnStartup
> Interceptor.java:130)
>  at
>
org.apache.tomcat.core.ContextManager.initContext(ContextManager.java:491)
>  at
>
org.apache.tomcat.core.ContextManager.init(ContextManager.java:453)
>  at
>
org.apache.tomcat.startup.Tomcat.execute(Tomcat.java:195)
>  at
>
org.apache.tomcat.startup.Tomcat.main(Tomcat.java:235)
> Caused by: org.xml.sax.SAXNotSupportedException:
> Property:
> http://xml.org/sax/properties/lexical-handler
>  at
>
org.apache.crimson.parser.XMLReaderImpl.setProperty(XMLReaderImpl.java:248)
>  at
>
org.apache.cocoon.components.parser.JaxpParser.parse(JaxpParser.java:67)
>  at
> org.apache.cocoon.Cocoon.configure(Cocoon.java:216)
>  ... 11 more
> 
> 
> embedded exception
> 
> org.xml.sax.SAXNotSupportedException: Property:
> http://xml.org/sax/properties/lexical-handler
> 
> embedded exception stacktrace
> 
> org.xml.sax.SAXNotSupportedException: Property:
> http://xml.org/sax/properties/lexical-handler
>  at
>
org.apache.crimson.parser.XMLReaderImpl.setProperty(XMLReaderImpl.java:248)
>  at
>
org.apache.cocoon.components.parser.JaxpParser.parse(JaxpParser.java:67)
>  at
> org.apache.cocoon.Cocoon.configure(Cocoon.java:216)
>  at
> org.apache.cocoon.Cocoon.initialize(Cocoon.java:160)
>  at
>
org.apache.cocoon.servlet.CocoonServlet.createCocoon(CocoonServlet.java:634)
>  at
>
org.apache.cocoon.servlet.CocoonServlet.init(CocoonServlet.java:164)
>  at
>
org.apache.tomcat.core.ServletWrapper.doInit(ServletWrapper.java:317)
>  at
>
org.apache.tomcat.core.Handler.init(Handler.java:215)
>  at
>
org.apache.tomcat.core.ServletWrapper.init(ServletWrapper.java:296)
>  at
>
org.apache.tomcat.context.LoadOnStartupInterceptor.contextInit(LoadOnStartup
> Interceptor.java:130)
>  at
>
org.apache.tomcat.core.ContextManager.initContext(ContextManager.java:491)
>  at
>
org.apache.tomcat.core.ContextManager.init(ContextManager.java:453)
>  at
>
org.apache.tomcat.startup.Tomcat.execute(Tomcat.java:195)
>  at
>
org.apache.tomcat.startup.Tomcat.main(Tomcat.java:235)
> 
> 
> i doubt that it is due to some parser error. but the
> fact is that my
> lib
> files or any of the environment variables have not
> been changed since
> yesterday.
> 
> my cocoon/web-inf/lib contains  xerces_1_4_1.jar  
> and
> my tomcat(3.2.2)
> 's
> lib directory contains xerces_1_3_1.jar .
> 
> i have searched the mailing lists also , and
> everywhere they say that
> it is
> due to improper parser. but i am unable to pinpoint
> the error here.
>  please help.
> 
> 
> Sumit Ranjan
> 
> __________________________________________________
> Do You Yahoo!?
> Listen to your Yahoo! Mail messages from any phone.
> http://phone.yahoo.com
> 
>
---------------------------------------------------------------------
> Please check that your question has not already been
> answered in the
> FAQ before posting.
> <http://xml.apache.org/cocoon/faqs.html>
> 
> To unsubscribe, e-mail:
> <cocoon-users-unsubscribe@xml.apache.org>
> For additional commands, e-mail:
> <cocoon-users-help@xml.apache.org>
> 
> 
>
---------------------------------------------------------------------
> Please check that your question has not already been
> answered in the
> FAQ before posting.
> <http://xml.apache.org/cocoon/faqs.html>
> 
> To unsubscribe, e-mail:
> <cocoon-users-unsubscribe@xml.apache.org>
> For additional commands, e-mail:
> <cocoon-users-help@xml.apache.org>
> 


__________________________________________________
Do You Yahoo!?
Listen to your Yahoo! Mail messages from any phone.
http://phone.yahoo.com

---------------------------------------------------------------------
Please check that your question has not already been answered in the
FAQ before posting. <http://xml.apache.org/cocoon/faqs.html>

To unsubscribe, e-mail: <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail: <cocoon-users-help@xml.apache.org>


Mime
View raw message